*use "an2017.dta"

/*Footnote 3, third reading needed*/
bysort year: tab third

/*Table 1: Reflection Scores for Art History and Political Science Reflective Essays, 2013*/

sum totalref if asiaart==1&year==2013
sum totalref if chinaart==1&year==2013
sum totalref if chinaart==1&year==2013|asiaart==1&year==2013
sum totalref if asiapol==1&year==2013
sum totalref if chinapol==1&year==2013
sum totalref if chinapol==1&year==2013|asiapol==1&year==2013

/*Table 2: Reflection Scores for Political Science Reflective Essays, 20142015*/

sum totalref if asiapol==1&year==2014
sum totalref if chinapol==1&year==2015
sum totalref if asiapol==1&year==2014|chinapol==1&year==2015

/*Difference of Means Test*/
/*Test of difference between scores from 2013 and 2014, Politics in East Asia */
ttest totalref if asiapol==1, by(year) 

/*Test of difference between scores from 2013 and 2015, Politics in China */
ttest totalref if chinapol==1, by(year) 

/*Test of difference between scores from 2013 (before) and 2014/2015 (after), overall*/
/*already generated
gen beforeafter=.
replace beforeafter=1 if chinapol==1&year==2015
replace beforeafter=1 if asiapol==1&year==2014
replace beforeafter=0 if chinapol==1&year==2013
replace beforeafter=0 if asiapol==1&year==2013

gen totalrefcompare=.
replace totalrefcompare=totalref if chinapol==1&year==2015
replace totalrefcompare=totalref if asiapol==1&year==2014
replace totalrefcompare=totalref if chinapol==1&year==2013
replace totalrefcompare=totalref if asiapol==1&year==2013
*/
sum totalrefcompare
sum beforeafter

ttest totalrefcompare, by(beforeafter)
